Package com.verisign.epp.codec.nv

## Class EPPNameVerificationInfoCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPInfoCmd
    - - com.verisign.epp.codec.nv.EPPNameVerificationInfoCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPNameVerificationInfoCmd
      extends EPPInfoCmd

  Info command to get the information associated with the verification code, which includes either the signed code associated with the verification code or the input parameters passed for the domain verification.
  See Also:
    `EPPNameVerificationInfoResp`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EPPNameVerificationInfoCmd.Type` | Information type with one of the following values: `INPUT` - Get the input parameters provided in executing the verification associated with the code. `SIGNED_CODE` - Get the signed code associated with the code.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPNameVerificationInfoCmd`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPNameVerificationInfoCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPNameVerificationInfoCmd()` | `EPPNameVerificationInfoCmd` default constructor.
    `EPPNameVerificationInfoCmd​(java.lang.String aTransId)` | `EPPNameVerificationInfoCmd` constructor that takes just the client transaction id.
    `EPPNameVerificationInfoCmd​(java.lang.String aTransId, java.lang.String aCode)` | `EPPNameVerificationInfoCmd` constructor that takes the required verification code value.
    `EPPNameVerificationInfoCmd​(java.lang.String aTransId, java.lang.String aCode, EPPNameVerificationInfoCmd.Type aType)` | `EPPNameVerificationInfoCmd` constructor that takes all of the required attributes.
    `EPPNameVerificationInfoCmd​(java.lang.String aTransId, java.lang.String aCode, EPPNameVerificationInfoCmd.Type aType, EPPAuthInfo aAuthInfo)` | `EPPNameVerificationInfoCmd` constructor that takes all of the required attributes.}.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPNameVerificationInfoCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPNameVerificationInfoCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPNameVerificationInfoCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPNameVerificationInfoCmd` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` | Gets the OPTIONAL authorization information for the Name Verification (NV) object.
    `java.lang.String` | `getCode()` | Gets the verification code value.
    `EPPNameVerificationInfoCmd.Type` | `getInfoType()` | Gets the input type defined by the `Type` enumeration.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPNameVerificationInfoCmd`.
    `void` | `setAuthInfo​(EPPAuthInfo aAuthInfo)` | Sets the authorization information for the Name Verification (NV) object.
    `void` | `setCode​(java.lang.String aCode)` | Sets the verification code value.
    `void` | `setInfoType​(EPPNameVerificationInfoCmd.Type aType)` | Sets the input type using one of the `Type` enumeration values.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getKey, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPNameVerificationInfoCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPNameVerificationInfoCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationInfoCmd

          public EPPNameVerificationInfoCmd()

      `EPPNameVerificationInfoCmd` default constructor.

    - #### EPPNameVerificationInfoCmd

          public EPPNameVerificationInfoCmd​(java.lang.String aTransId)

      `EPPNameVerificationInfoCmd` constructor that takes just the client transaction id.
      Parameters:
        `aTransId` - Client transaction id. Set to `null` of no client transaction id should be used.

    - #### EPPNameVerificationInfoCmd

          public EPPNameVerificationInfoCmd​(java.lang.String aTransId,
                                            java.lang.String aCode)

      `EPPNameVerificationInfoCmd` constructor that takes the required verification code value. The default info type is set to `Type.SIGNED_CODE`.
      Parameters:
        `aTransId` - Client transaction id. Set to `null` of no client transaction id should be used.
        `aCode` - Verification code

    - #### EPPNameVerificationInfoCmd

          public EPPNameVerificationInfoCmd​(java.lang.String aTransId,
                                            java.lang.String aCode,
                                            EPPNameVerificationInfoCmd.Type aType)

      `EPPNameVerificationInfoCmd` constructor that takes all of the required attributes.
      Parameters:
        `aTransId` - Client transaction id. Set to `null` of no client transaction id should be used.
        `aCode` - Verification code
        `aType` - Information type

    - #### EPPNameVerificationInfoCmd

          public EPPNameVerificationInfoCmd​(java.lang.String aTransId,
                                            java.lang.String aCode,
                                            EPPNameVerificationInfoCmd.Type aType,
                                            EPPAuthInfo aAuthInfo)

      `EPPNameVerificationInfoCmd` constructor that takes all of the required attributes.}.
      Parameters:
        `aTransId` - Client transaction id. Set to `null` of no client transaction id should be used.
        `aCode` - Verification code
        `aType` - Information type
        `aAuthInfo` - Authorization information for Name Verification (NV) object.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPNameVerificationInfoCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPNameVerificationMapFactory.NS`

    - #### getCode

          public java.lang.String getCode()

      Gets the verification code value.
      Returns:
        The verification code value.

    - #### setCode

          public void setCode​(java.lang.String aCode)

      Sets the verification code value.
      Parameters:
        `aCode` - Verification code value

    - #### getInfoType

          public EPPNameVerificationInfoCmd.Type getInfoType()

      Gets the input type defined by the `Type` enumeration.
      Returns:
        input type

    - #### setInfoType

          public void setInfoType​(EPPNameVerificationInfoCmd.Type aType)

      Sets the input type using one of the `Type` enumeration values.
      Parameters:
        `aType` - Input type

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Gets the OPTIONAL authorization information for the Name Verification (NV) object.
      Returns:
        Authorization information if defined; `null` otherwise.

    - #### setAuthInfo

          public void setAuthInfo​(EPPAuthInfo aAuthInfo)

      Sets the authorization information for the Name Verification (NV) object.
      Parameters:
        `aAuthInfo` - Authorization information of NV object.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationInfoCmd` instance.
      Specified by:
        `doEncode` in class `EPPInfoCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameVerificationInfoCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameVerificationInfoCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameVerificationInfoCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPInfoCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationInfoCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationInfoCmd` with this instance.
      Overrides:
        `equals` in class `EPPInfoCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationInfoCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPNameVerificationInfoCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.